# Generated from soar_http_client-0.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name soar_http_client

Name: rubygem-%{gem_name}
Version: 0.1.4
Release: 1%{?dist}
Summary: Rest client for services at Hetzner
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(webmock) >= 2.3.2
# BuildRequires: rubygem(webmock) < 2.4
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(simplecov-rcov)
BuildArch: noarch

%description
Rest client for services at Hetzner.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/Dockerfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/soar_http_client.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.4-1
- Initial package
